Previous Up Next

16.2  How to load the library

To use the library, you must have an MP solver that eplex can use (for example, XPRESS-MP or CPLEX). Your ECLiPSe should be configured to load in a `default' solver if there is more than one available.
See the library manual's Eplex chapter for details for how to install the solver.
When configured properly, the library can be loaded with the directive:

:- lib(eplex).

This will load the library with the default external MP solver.

You may need a valid license in order to use an external solver. With your ECLiPSe license, you can obtain a full OEM version of XPRESS-MP1 that runs with ECLiPSe version 5.5 and later from ECLiPSe's ftp site.


Previous Up Next